MONGOC_CHANGE_STREAM_GET_RESUME_TOKEN(3)

NAME
mongoc_change_stream_get_resume_token - mongoc_change_stream_get_resume_token()

SYNOPSIS

        const bson_t *
        mongoc_change_stream_get_resume_token (mongoc_change_stream_t *stream);

This function returns the cached resume token, which may be passed as either the resumeAfter or startAfter option of a watch function to start a new change stream from the same point.

PARAMETERS

    •   stream: A mongoc_change_stream_t.

RETURNS

A bson_t that should not be modified or freed.

Returns NULL if no resume token is available. This is possible if the change stream has not been iterated and neither resumeAfter nor startAfter options were specified in the watch function.

LIFECYCLE

The returned bson_t is valid for the lifetime of stream and its data may be updated if mongoc_change_stream_next is called after this function. The value may be copied to extend its lifetime or preserve the current resume token.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc